using System;
using Newtonsoft.Json.Linq;

namespace FarmmapsKPI.Models
{
    public class KPIInput
    {
        public bool UseExistingCropfieldWithChildren { get; set; }
        public bool DeleteNewlyCreatedAfterCalc { get; set; }
        public string fieldName { get; set; }
        public string CropfieldItemCode { get; set; }
        public JObject DataCropfield { get; set; }
        public string CropRecordingItemCode { get; set; }
        public JObject DataCropRecording { get; set; }
        public string[] OperationItemCodes { get; set; }
        public JObject[] DataOperations { get; set; }
        public string CropfieldCharacteristicItemCode { get; set; }
        public JObject[] DataCropfieldCharacteristics { get; set; }
        public string DownloadFolder { get; set; }
        public int CropYear { get; set; }
        public DateTime StartDate { get; set; }
        public DateTime EndDate { get; set; }
        public JObject GeometryJson { get; set; }

    }
}